GuiCommand: Name: Draft Clone MenuLocation: Modification , Clone Workbenches: Draft_Workbench Shortcut: C L SeeAlso: Draft_Scale
Draft Clone
Description
The Draft Clone command creates linked copies, clones, of selected objects. The shape of a clone is parametric, it will update if its source object changes. But a clone does have its own position, rotation, and scale, and its own View properties. For BIM objects the command creates a special type of clone: an Arch clone.
The command can be used on 2D objects created with the Draft Workbench or Sketcher Workbench, but also on many 3D objects such as those created with the Part Workbench, PartDesign Workbench or BIM Workbench. Clones of 2D objects can be used in PartDesign Bodies.
![](https://raw.githubusercontent.com/FreeCAD/FreeCAD-documentation/master/wiki/images/Draft_Clone_example.jpg)
Usage
- Optionally select one or more objects.
- There are several ways to invoke the command:
- Press the
Clone button.
- Select the Modification →
Clone option from the menu.
- Use the keyboard shortcut: C then L.
- Press the
- If you have not yet selected an object: select an object in the 3D view.
Properties
See also: Property editor.
An object created with the Draft Clone command is derived from a Part Part2DObject, a Part Feature object or, if an Arch Clone is created, from the object type of the source object. It inherits all properties from that object. A clone derived from one of the first two objects also has the following additional properties:
Data
{{TitleProperty|Draft}}
-
Fuse|Bool: specifies if overlapping shapes in the clone are fused or not.
-
Objects|LinkListGlobal: specifies the objects that are cloned.
-
Scale|Vector: specifies the X, Y and Z scale factors.
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
To create a clone use the make_clone
method ((v0.19) ) of the Draft module. This method replaces the deprecated clone
method.
cloned_object = make_clone(obj, delta=None, forcedraft=False)
-
obj
contains the objects to be cloned. It is either a single object or a list of objects. -
delta
is the displacement vector to be applied to the clone. -
If
forcedraft
isFalse
andobj
contains a single BIM object, an Arch Clone is created. Setforcedraft
toTrue
to create a Draft Clone instead. -
cloned_object
is returned with the clone object.
Example:
import FreeCAD as App
import Draft
doc = App.newDocument()
place = App.Placement(App.Vector(1000, 0, 0), App.Rotation())
polygon1 = Draft.make_polygon(3, 750)
polygon2 = Draft.make_polygon(5, 750, placement=place)
vector = App.Vector(2600, 500, 0)
cloned_object = Draft.clone([polygon1, polygon2], delta=vector)
cloned_object.Fuse = True
doc.recompute()
⏵ documentation index > Draft > Draft Clone
This page is retrieved from https://github.com/FreeCAD/FreeCAD-documentation/blob/main/wiki/Draft_Clone.md